void main()
{

	vec4 intermed = gl_ModelViewMatrix * gl_Vertex;
	vec4 norm = gl_ModelViewMatrix * vec4(gl_Normal,0.0);
	vec3 to_light = gl_LightSource[0].position.xyz;
	if (gl_LightSource[0].position.z == 1.0) {
		to_light -= intermed.xyz;
	}
	if (dot(to_light, norm.xyz) < 0.0) {
		intermed.xyz = -to_light;
		intermed.w = 0.0;
	}
	gl_Position = gl_ProjectionMatrix * intermed;
	gl_FrontColor = vec4(0.5,0.5,0.6,0.5);
	gl_BackColor = vec4(0.2,0.7,0.2,0.5); //gl_Color;
}
