void main()
{

	vec4 intermed = gl_ModelViewMatrix * gl_Vertex;
	vec4 norm = gl_ModelViewMatrix * vec4(gl_Normal,0.0);
	vec3 to_light = gl_LightSource[0].position.xyz;
	if (gl_LightSource[0].position.z == 1.0) {
		to_light -= intermed.xyz;
	}
	gl_Position = gl_ProjectionMatrix * intermed;
	float lit = max(dot(norm.xyz,normalize(to_light.xyz)), 0.0);
	gl_FrontColor = gl_BackColor = vec4(gl_Color.xyz * (gl_LightSource[0].ambient.xyz + gl_LightSource[0].diffuse.xyz * lit), 1.0);
}
